# PhasicFlow: src/MotionModel/entities/rotatingAxis/rotatingAxisFwd.hpp File Reference

rotatingAxisFwd.hpp File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

INLINE_FUNCTION_HD realx3 | rotate (const realx3 &p, const line &ln, real theta)
INLINE_FUNCTION_HD realx3 | rotate (const realx3 &p, const rotatingAxis &ax, real dt)
INLINE_FUNCTION_HD void | rotate (realx3 *p, size_t n, const line &ln, real theta)
INLINE_FUNCTION_HD void | rotate (realx3 *p, size_t n, const rotatingAxis &ax, real dt)

## Function Documentation

## rotate() [1/4]

INLINE_FUNCTION_HD realx3 rotate | ( | const realx3 & | p,
|  | const line & | ln,
|  | real | theta
| ) |  |

Referenced by rotatingAxisMotion::Model::transferPoint(), and multiRotatingAxis::transferPoint().

Here is the caller graph for this function:

## rotate() [2/4]

INLINE_FUNCTION_HD realx3 rotate | ( | const realx3 & | p,
|  | const rotatingAxis & | ax,
|  | real | dt
| ) |  |

## rotate() [3/4]

INLINE_FUNCTION_HD void rotate | ( | realx3 * | p,
|  | size_t | n,
|  | const line & | ln,
|  | real | theta
| ) |  |

## rotate() [4/4]

INLINE_FUNCTION_HD void rotate | ( | realx3 * | p,
|  | size_t | n,
|  | const rotatingAxis & | ax,
|  | real | dt
| ) |  |